---------------------------------------------------------------------------------------------------
-- Addon Manager Locales
---------------------------------------------------------------------------------------------------
local locales = {
	rus = {
		[ "Addon Manager" ] = " ",
		[ "Cancel" ] = "",
		[ "Comment" ] = "",
		[ "Default" ] = "",
		[ "Load All" ] = ". ",
		[ "Load Selected" ] = ". .",
		[ "Lock" ] = ".",
		[ "Hide All" ] = " ",
		[ "Memory Usage" ] = ". .",
		[ "Name" ] = "",
		[ "Reset" ] = "",
		[ "Save" ] = "",
		[ "Show All" ] = " ",
		--[ "Show Default" ] = " \"\"",
		[ "Status" ] = ".",		
		[ "Unload All" ] = ". ",
		[ "Unload Selected" ] = ". .",
		[ "User" ] = ""
	},
	eng = {
		[ "Addon Manager" ] = "Addon Manager",
		[ "Cancel" ] = "Cancel",
		[ "Comment" ] = "Comment",
		[ "Default" ] = "Built-In Addons",
		[ "Load All" ] = "Load All",
		[ "Load Selected" ] = "Load Selected",
		[ "Lock" ] = "Lock",
		[ "Hide All" ] = "Hide All",
		[ "Memory Usage" ] = "Memory",
		[ "Name" ] = "Name",
		[ "Reset" ] = "Reset",
		[ "Save" ] = "Save",
		[ "Show All" ] = "Show All",
		--[ "Show Default" ] = "Show Built-In Addons",
		[ "Status" ] = "State",		
		[ "Unload All" ] = "Unload All",
		[ "Unload Selected" ] = "Unload Selected",
		[ "User" ] = "User Addons"
	},
	ger = { -- by Regimardyl
		[ "Addon Manager" ] = "Addon-Manager",
		[ "Cancel" ] = "Abbrechen",
		[ "Comment" ] = "Beschreibung",
		[ "Default" ] = "System-Addons",
		[ "Load All" ] = "Alle aktivieren",
		[ "Load Selected" ] = "Markierte aktivieren",
		[ "Lock" ] = "Sperren",
		[ "Hide All" ] = "Alle verstecken",
		[ "Memory Usage" ] = "Speicherverbrauch",
		[ "Name" ] = "Name",
		[ "Reset" ] = "Zurucksetzen",
		[ "Save" ] = "Speichern",
		[ "Show All" ] = "Alle anzeigen",
		--[ "Show Default" ] = "System-Addons anzeigen",
		[ "Status" ] = "Status",		
		[ "Unload All" ] = "Alle deaktivieren",
		[ "Unload Selected" ] = "Markierte deaktivieren",
		[ "User" ] = "Eigene Addons"
	},
	--[[
	fra = {
		[ "Addon Manager" ] = "",
		[ "Cancel" ] = "",
		[ "Comment" ] = "",
		[ "Default" ] = "",
		[ "Load All" ] = "",
		[ "Load Selected" ] = "",
		[ "Lock" ] = "",
		[ "Hide All" ] = "",
		[ "Memory Usage" ] = "",
		[ "Name" ] = "",
		[ "Reset" ] = "",
		[ "Save" ] = "",
		[ "Show All" ] = "",
		--[ "Show Default" ] = "",
		[ "Status" ] = "",		
		[ "Unload All" ] = "",
		[ "Unload Selected" ] = "",
		[ "User" ] = ""
	}--]]
}
--locales.de = locales.en
locales.fra = locales.eng
---------------------------------------------------------------------------------------------------
-- AO game Localization detection by SLA. Version 2011-02-05.
function GetGameLocalization()
	local B = cartographer.GetMapBlocks()
	local T = { rus="\203\232\227\224", eng="Holy Land",
	ger="Heiliges Land", fra="Terre Sacr\233e", jpn="\131\74\131\106\131\65" }
	for b in B do for l,t in T do
	if userMods.FromWString( cartographer.GetMapBlockInfo(B [b] ).name ) == t
	then return l end; end end; return "eng"
end
---------------------------------------------------------------------------------------------------
Global( "L", locales[ GetGameLocalization() ] )
---------------------------------------------------------------------------------------------------