---------------------------------------------------------------------------------------------------
-- Addon Manager Locales
---------------------------------------------------------------------------------------------------
local locales = {
	ru = {
		[ "Addon Manager" ] = " ",
		[ "Cancel" ] = "",
		[ "Comment" ] = "",
		[ "Default" ] = "",
		[ "Load All" ] = ". ",
		[ "Load Selected" ] = ". .",
		[ "Lock" ] = ".",
		[ "Hide All" ] = " ",
		[ "Memory Usage" ] = ". .",
		[ "Name" ] = "",
		[ "Reset" ] = "",
		[ "Save" ] = "",
		[ "Show All" ] = " ",
		--[ "Show Default" ] = " \"\"",
		[ "Status" ] = ".",		
		[ "Unload All" ] = ". ",
		[ "Unload Selected" ] = ". .",
		[ "User" ] = ""
	},
	en = {
		[ "Addon Manager" ] = "Addon Manager",
		[ "Cancel" ] = "Cancel",
		[ "Comment" ] = "Comment",
		[ "Default" ] = "Built-In Addons",
		[ "Load All" ] = "Load All",
		[ "Load Selected" ] = "Load Selected",
		[ "Lock" ] = "Lock",
		[ "Hide All" ] = "Hide All",
		[ "Memory Usage" ] = "Memory",
		[ "Name" ] = "Name",
		[ "Reset" ] = "Reset",
		[ "Save" ] = "Save",
		[ "Show All" ] = "Show All",
		--[ "Show Default" ] = "Show Built-In Addons",
		[ "Status" ] = "State",		
		[ "Unload All" ] = "Unload All",
		[ "Unload Selected" ] = "Unload Selected",
		[ "User" ] = "User Addons"
	},
	--[[de = {
		[ "Addon Manager" ] = "",
		[ "Cancel" ] = "",
		[ "Comment" ] = "",
		[ "Default" ] = "",
		[ "Load All" ] = "",
		[ "Load Selected" ] = "",
		[ "Lock" ] = "",
		[ "Hide All" ] = "",
		[ "Memory Usage" ] = "",
		[ "Name" ] = "",
		[ "Reset" ] = "",
		[ "Save" ] = "",
		[ "Show All" ] = "",
		--[ "Show Default" ] = "",
		[ "Status" ] = "",		
		[ "Unload All" ] = "",
		[ "Unload Selected" ] = "",
		[ "User" ] = ""
	},
	fr = {
		[ "Addon Manager" ] = "",
		[ "Cancel" ] = "",
		[ "Comment" ] = "",
		[ "Default" ] = "",
		[ "Load All" ] = "",
		[ "Load Selected" ] = "",
		[ "Lock" ] = "",
		[ "Hide All" ] = "",
		[ "Memory Usage" ] = "",
		[ "Name" ] = "",
		[ "Reset" ] = "",
		[ "Save" ] = "",
		[ "Show All" ] = "",
		--[ "Show Default" ] = "",
		[ "Status" ] = "",		
		[ "Unload All" ] = "",
		[ "Unload Selected" ] = "",
		[ "User" ] = ""
	}--]]
}
locales.de = locales.en
locales.fr = locales.en
---------------------------------------------------------------------------------------------------
-- AO game localization detection by SLA. Version 2010-08-28.
function GetGameLocalization()
	if not avatar.GetEmotes then return "en" end -- AO 1.1.00
	return ( { [ "\255" ] = "ru", [ "\108" ] = "en", [ "\105" ] = "de", [ "\114" ] ="fr" } )
	[string.sub(userMods.FromWString( cartographer.GetMapBlockInfo(
	cartographer.GetMapBlocks()[ 4 ] ).name ), 3, 3 ) ] or "en"
end
---------------------------------------------------------------------------------------------------
Global( "L", locales[ GetGameLocalization() ] )
---------------------------------------------------------------------------------------------------